/*-------------------------------------------------------------------
  common.h   by Jack Botner
-------------------------------------------------------------------*/

#ifndef _COMMON_H_
#define _COMMON_H_ 1

#define BOOL    char

#define FALSE   0
#define TRUE    (!FALSE)

#define DIAG_LED_P   PORTB
#define DIAG_LED_B   PB4

#define nop() do { __asm__ __volatile__ ("nop"); } while (0)

// The following macros set/clear bits

#define set_bit(port,bit)  (port |= (1<<bit))
#define clear_bit(port,bit)  (port &= ~(1<<bit))
#define test_bit( reg, bitNumb )   ((reg) & (1 << (bitNumb)))

// Functions
void LcdClear(void);
void LcdOutputNumber( uint8_t ucNumber, uint8_t ucDigit );
void LcdOutputDecimal( uint8_t ucDp );

#endif
